// Ex0203 リングLED
#include <FastLED.h> // ライブラリの読み込み

// リングLED 16個
const int DATA_PIN = 19; // ピン番号
const int NUM_LEDS = 16; // 16個
CRGB leds[NUM_LEDS];     // LEDの配列

void setup() {
  // リングLEDの設定
  FastLED.addLeds<WS2812B, DATA_PIN, GRB>(leds, NUM_LEDS);
  FastLED.setBrightness(32); // 最大輝度：0-255
  //  fill_solid(leds, NUM_LEDS, CRGB(0, 0, 0)); // 消灯
}

void loop() {
  // 赤色で点灯
  for (int i = 0; i < NUM_LEDS; i++) {
    leds[i] = CRGB(255, 0, 0);
  }
  //  fill_solid(leds, NUM_LEDS, CRGB(255, 0, 0));
  FastLED.show(); // 表示を更新
  delay(1000); // 表示時間

  // 消灯
  for (int i = 0; i < NUM_LEDS; i++) {
    leds[i] = CRGB(0, 0, 0);
  }
  //  fill_solid(leds, NUM_LEDS, CRGB(0, 0, 0));
  FastLED.show(); // 表示を更新
  delay(1000); // 表示時間
}
