// Ex0204 スイッチとリングLED Ex0202参照
#include <FastLED.h> // ライブラリの読み込み

// スイッチの設定追加

// リングLED 16個
const int DATA_PIN = 19; // ピン番号
const int NUM_LEDS = 16; // 16個
CRGB leds[NUM_LEDS];     // LEDの配列

void setup() {
  // スイッチの設定


  // リングLEDの設定
  FastLED.addLeds<WS2812B, DATA_PIN, GRB>(leds, NUM_LEDS);
  FastLED.setBrightness(32); // 最大輝度：0-255
  //  fill_solid(leds, NUM_LEDS, CRGB(0, 0, 0)); // 消灯
}

void loop() {
  // スイッチのコードを追加

  //スイッチが押されたときに点灯
  fill_solid(leds, NUM_LEDS, CRGB(255, 0, 0));

  // スイッチが押されていないときに消灯
  fill_solid(leds, NUM_LEDS, CRGB(0, 0, 0));

  FastLED.show(); // 表示を更新
}
